var _ = require('underscore');
var express = require('express');
var router = express.Router();
var readLink = require('../../read-link');
var authHelper = require('../auth/helpers');
var lookup = require('./lookup');
var Account = require('../../models/account');
var Link = require('../../models/link');

router.use(lookup.linksMiddleware);
router.get('/', lookup.getRoot);
router.post('/', lookup.postRoot);

router.route('/:linkid')
  .all(lookup.linkMiddleware)
  .get(lookup.getLink)
  .put(lookup.putLink)
  .delete(lookup.removeLink)

module.exports = router;